From d10bd21cdb78780d7da8dbc4b5e1e26506bc1425 Mon Sep 17 00:00:00 2001
From: vignesh <vignesh@localhost.localdomain>
Date: Mon, 21 Oct 2019 22:03:52 +0530
Subject: [PATCH 2/3] Ordering of header files in backend dir.

Ordering of header files that is included in source code in backend dir.
---
 src/backend/access/brin/brin_minmax.c              |  5 ++--
 src/backend/access/brin/brin_pageops.c             |  3 +--
 src/backend/access/brin/brin_tuple.c               |  3 +--
 src/backend/access/brin/brin_validate.c            |  3 +--
 src/backend/access/gin/ginbtree.c                  |  2 +-
 src/backend/access/gin/ginfast.c                   | 10 ++++----
 src/backend/access/gin/gininsert.c                 |  5 ++--
 src/backend/access/gin/ginvalidate.c               |  3 +--
 src/backend/access/gist/gist.c                     |  3 +--
 src/backend/access/gist/gistget.c                  |  4 +--
 src/backend/access/gist/gistutil.c                 |  5 ++--
 src/backend/access/hash/hash.c                     |  2 --
 src/backend/access/hash/hash_xlog.c                |  6 ++---
 src/backend/access/hash/hashinsert.c               |  4 +--
 src/backend/access/hash/hashpage.c                 |  3 +--
 src/backend/access/hash/hashsearch.c               |  2 +-
 src/backend/access/hash/hashutil.c                 |  2 +-
 src/backend/access/heap/heapam_handler.c           |  5 +---
 src/backend/access/heap/pruneheap.c                |  4 +--
 src/backend/access/heap/rewriteheap.c              | 12 ++-------
 src/backend/access/nbtree/nbtxlog.c                |  2 +-
 src/backend/access/spgist/spgquadtreeproc.c        |  3 +--
 src/backend/access/transam/clog.c                  |  2 +-
 src/backend/access/transam/parallel.c              |  3 +--
 src/backend/access/transam/rmgr.c                  |  4 +--
 src/backend/access/transam/slru.c                  |  3 +--
 src/backend/access/transam/twophase.c              |  3 +--
 src/backend/access/transam/xact.c                  |  3 +--
 src/backend/access/transam/xlog.c                  |  6 ++---
 src/backend/access/transam/xlogfuncs.c             |  7 +++--
 src/backend/access/transam/xloginsert.c            |  2 +-
 src/backend/access/transam/xlogreader.c            |  3 +--
 src/backend/catalog/aclchk.c                       |  5 ++--
 src/backend/catalog/catalog.c                      |  3 +--
 src/backend/catalog/index.c                        |  7 +++--
 src/backend/catalog/objectaddress.c                | 10 ++++----
 src/backend/catalog/partition.c                    |  3 +--
 src/backend/catalog/pg_enum.c                      |  3 +--
 src/backend/catalog/pg_publication.c               |  9 +++----
 src/backend/catalog/pg_shdepend.c                  |  7 +++--
 src/backend/catalog/pg_subscription.c              | 10 ++------
 src/backend/catalog/pg_type.c                      |  2 +-
 src/backend/catalog/storage.c                      |  3 +--
 src/backend/commands/alter.c                       |  5 ++--
 src/backend/commands/cluster.c                     |  5 ++--
 src/backend/commands/copy.c                        |  3 +--
 src/backend/commands/createas.c                    |  3 +--
 src/backend/commands/dbcommands.c                  |  3 +--
 src/backend/commands/event_trigger.c               |  6 ++---
 src/backend/commands/functioncmds.c                |  2 +-
 src/backend/commands/lockcmds.c                    |  4 +--
 src/backend/commands/opclasscmds.c                 |  3 +--
 src/backend/commands/policy.c                      |  2 +-
 src/backend/commands/publicationcmds.c             | 10 +++-----
 src/backend/commands/schemacmds.c                  |  3 +--
 src/backend/commands/subscriptioncmds.c            | 12 ++-------
 src/backend/commands/tablecmds.c                   |  2 --
 src/backend/commands/tablespace.c                  |  3 +--
 src/backend/commands/variable.c                    |  4 +--
 src/backend/commands/view.c                        |  3 +--
 src/backend/executor/execAmi.c                     |  2 --
 src/backend/executor/execExprInterp.c              |  5 ++--
 src/backend/executor/execGrouping.c                |  2 +-
 src/backend/executor/execParallel.c                |  4 +--
 src/backend/executor/execProcnode.c                |  3 +--
 src/backend/executor/execTuples.c                  |  3 +--
 src/backend/executor/nodeAgg.c                     |  3 +--
 src/backend/executor/nodeBitmapHeapscan.c          |  3 +--
 src/backend/executor/nodeCustom.c                  |  3 +--
 src/backend/executor/nodeHash.c                    |  3 +--
 src/backend/executor/nodeSubplan.c                 |  3 +--
 src/backend/executor/nodeTableFuncscan.c           |  3 +--
 src/backend/executor/nodeWindowAgg.c               |  2 +-
 src/backend/jit/jit.c                              |  7 ++---
 src/backend/jit/llvm/llvmjit_expr.c                |  3 +--
 src/backend/libpq/hba.c                            |  2 +-
 src/backend/nodes/nodeFuncs.c                      |  3 +--
 src/backend/optimizer/geqo/geqo_cx.c               |  2 +-
 src/backend/optimizer/geqo/geqo_erx.c              |  2 +-
 src/backend/optimizer/path/clausesel.c             |  3 +--
 src/backend/optimizer/plan/initsplan.c             |  3 +--
 src/backend/optimizer/plan/planagg.c               |  3 +--
 src/backend/optimizer/plan/planner.c               |  7 +++--
 src/backend/optimizer/prep/preptlist.c             |  3 +--
 src/backend/optimizer/util/pathnode.c              |  3 +--
 src/backend/optimizer/util/plancat.c               |  7 +++--
 src/backend/parser/parse_clause.c                  | 12 ++++-----
 src/backend/parser/parse_expr.c                    |  3 +--
 src/backend/parser/parse_node.c                    |  3 +--
 src/backend/parser/parse_relation.c                |  3 +--
 src/backend/parser/parse_target.c                  |  3 +--
 src/backend/parser/parse_type.c                    |  3 +--
 src/backend/parser/scansup.c                       |  3 +--
 src/backend/partitioning/partbounds.c              |  2 +-
 src/backend/partitioning/partdesc.c                |  4 +--
 src/backend/postmaster/bgworker.c                  |  2 +-
 src/backend/postmaster/bgwriter.c                  |  3 +--
 src/backend/postmaster/pgstat.c                    |  4 +--
 src/backend/replication/basebackup.c               |  3 +--
 .../libpqwalreceiver/libpqwalreceiver.c            |  4 +--
 src/backend/replication/logical/decode.c           |  7 ++---
 src/backend/replication/logical/launcher.c         | 16 +++---------
 src/backend/replication/logical/logical.c          | 10 +++-----
 src/backend/replication/logical/logicalfuncs.c     | 30 ++++++++--------------
 src/backend/replication/logical/message.c          |  9 ++-----
 src/backend/replication/logical/origin.c           | 18 +++++--------
 src/backend/replication/logical/snapbuild.c        | 15 ++++-------
 src/backend/replication/logical/tablesync.c        | 13 +++-------
 src/backend/replication/pgoutput/pgoutput.c        |  5 +---
 src/backend/replication/slotfuncs.c                |  2 +-
 src/backend/rewrite/rowsecurity.c                  |  2 +-
 src/backend/statistics/dependencies.c              |  4 +--
 src/backend/statistics/mvdistinct.c                |  7 +++--
 src/backend/storage/buffer/buf_init.c              |  3 +--
 src/backend/storage/buffer/buf_table.c             |  3 +--
 src/backend/storage/file/buffile.c                 |  4 +--
 src/backend/storage/file/copydir.c                 |  4 +--
 src/backend/storage/file/fd.c                      |  3 +--
 src/backend/storage/ipc/dsm_impl.c                 |  6 ++---
 src/backend/storage/ipc/ipci.c                     |  2 +-
 src/backend/storage/ipc/procsignal.c               |  3 +--
 src/backend/storage/ipc/sinvaladt.c                |  3 +--
 src/backend/storage/lmgr/lwlock.c                  |  2 +-
 src/backend/storage/lmgr/proc.c                    |  3 +--
 src/backend/storage/lmgr/s_lock.c                  |  3 +--
 src/backend/storage/page/checksum.c                |  1 -
 src/backend/storage/smgr/md.c                      |  8 +++---
 src/backend/storage/sync/sync.c                    |  8 +++---
 src/backend/tcop/postgres.c                        |  7 +++--
 src/backend/tcop/utility.c                         |  7 +++--
 src/backend/tsearch/wparser.c                      |  3 +--
 src/backend/utils/adt/acl.c                        |  5 ++--
 src/backend/utils/adt/datetime.c                   |  1 -
 src/backend/utils/adt/format_type.c                |  2 +-
 src/backend/utils/adt/int8.c                       |  3 +--
 src/backend/utils/adt/json.c                       |  4 +--
 src/backend/utils/adt/jsonb.c                      |  4 +--
 src/backend/utils/adt/jsonpath_exec.c              |  5 ++--
 src/backend/utils/adt/misc.c                       |  7 +++--
 src/backend/utils/adt/oracle_compat.c              |  3 +--
 src/backend/utils/adt/rangetypes_gist.c            |  3 +--
 src/backend/utils/adt/regproc.c                    |  4 +--
 src/backend/utils/adt/ri_triggers.c                |  3 +--
 src/backend/utils/adt/ruleutils.c                  |  3 +--
 src/backend/utils/adt/tsquery.c                    |  2 +-
 src/backend/utils/adt/tsquery_cleanup.c            |  2 +-
 src/backend/utils/adt/tsquery_gist.c               |  2 +-
 src/backend/utils/adt/tsquery_util.c               |  2 +-
 src/backend/utils/adt/tsrank.c                     |  3 +--
 src/backend/utils/adt/txid.c                       |  3 +--
 src/backend/utils/adt/varchar.c                    |  3 +--
 src/backend/utils/cache/evtcache.c                 |  4 +--
 src/backend/utils/cache/relcache.c                 |  3 +--
 src/backend/utils/cache/relfilenodemap.c           |  2 +-
 src/backend/utils/cache/syscache.c                 |  3 +--
 .../utf8_and_cyrillic/utf8_and_cyrillic.c          |  2 +-
 .../utf8_and_iso8859/utf8_and_iso8859.c            |  3 ++-
 src/backend/utils/misc/guc.c                       |  8 +++---
 src/backend/utils/misc/pg_config.c                 |  6 ++---
 src/backend/utils/misc/pg_controldata.c            |  2 +-
 src/backend/utils/misc/ps_status.c                 |  2 +-
 src/backend/utils/misc/superuser.c                 |  3 +--
 src/backend/utils/mmgr/slab.c                      |  3 +--
 src/backend/utils/time/combocid.c                  |  3 +--
 164 files changed, 271 insertions(+), 449 deletions(-)

diff --git a/src/backend/access/hash/hash.c b/src/backend/access/hash/hash.c
index 5cc30da..cdb6fa9 100644
--- a/src/backend/access/hash/hash.c
+++ b/src/backend/access/hash/hash.c
@@ -31,8 +31,6 @@
 #include "utils/builtins.h"
 #include "utils/index_selfuncs.h"
 #include "utils/rel.h"
-#include "miscadmin.h"
-
 
 /* Working state for hashbuild and its callback */
 typedef struct
diff --git a/src/backend/access/heap/heapam_handler.c b/src/backend/access/heap/heapam_handler.c
index 2dd8821..2c70a87 100644
--- a/src/backend/access/heap/heapam_handler.c
+++ b/src/backend/access/heap/heapam_handler.c
@@ -19,8 +19,6 @@
  */
 #include "postgres.h"
 
-#include "miscadmin.h"
-
 #include "access/genam.h"
 #include "access/heapam.h"
 #include "access/heaptoast.h"
@@ -35,10 +33,10 @@
 #include "catalog/storage_xlog.h"
 #include "commands/progress.h"
 #include "executor/executor.h"
+#include "miscadmin.h"
 #include "pgstat.h"
 #include "storage/bufmgr.h"
 #include "storage/bufpage.h"
-#include "storage/bufmgr.h"
 #include "storage/lmgr.h"
 #include "storage/predicate.h"
 #include "storage/procarray.h"
@@ -46,7 +44,6 @@
 #include "utils/builtins.h"
 #include "utils/rel.h"
 
-
 static void reform_and_rewrite_tuple(HeapTuple tuple,
 									 Relation OldHeap, Relation NewHeap,
 									 Datum *values, bool *isnull, RewriteState rwstate);
diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index 8d25d14..97acdb1 100644
--- a/src/backend/commands/tablecmds.c
+++ b/src/backend/commands/tablecmds.c
@@ -20,7 +20,6 @@
 #include "access/multixact.h"
 #include "access/reloptions.h"
 #include "access/relscan.h"
-#include "access/tableam.h"
 #include "access/sysattr.h"
 #include "access/tableam.h"
 #include "access/tupconvert.h"
@@ -100,7 +99,6 @@
 #include "utils/timestamp.h"
 #include "utils/typcache.h"
 
-
 /*
  * ON COMMIT action list
  */
diff --git a/src/backend/executor/execAmi.c b/src/backend/executor/execAmi.c
index 1f18e5d..779d3dc 100644
--- a/src/backend/executor/execAmi.c
+++ b/src/backend/executor/execAmi.c
@@ -28,7 +28,6 @@
 #include "executor/nodeGather.h"
 #include "executor/nodeGatherMerge.h"
 #include "executor/nodeGroup.h"
-#include "executor/nodeGroup.h"
 #include "executor/nodeHash.h"
 #include "executor/nodeHashjoin.h"
 #include "executor/nodeIndexonlyscan.h"
@@ -62,7 +61,6 @@
 #include "utils/rel.h"
 #include "utils/syscache.h"
 
-
 static bool IndexSupportsBackwardScan(Oid indexid);
 
 
